SystemOrganization addCategory: #'CassandraClient-ReflectionLimited'!
SystemOrganization addCategory: #'CassandraClient-Fb303'!
SystemOrganization addCategory: #'CassandraClient-Cassandra'!

TClient subclass: #FBFacebookServiceClient
	instanceVariableNames: ''
	classVariableNames: ''
	poolDictionaries: ''
	category: 'CassandraClient-Fb303'!

FBFacebookServiceClient subclass: #FBCassandraClient
	instanceVariableNames: ''
	classVariableNames: ''
	poolDictionaries: ''
	category: 'CassandraClient-Cassandra'!

!FBCassandraClient methodsFor: 'as yet uncategorized' stamp: 'thrift 09/26/2008 10:22'!
batchInsertBatchMutation: batchMutation
    "batchMutation: Batch_mutation_t"
    self sendBatchInsertBatchMutation: batchMutation.
! !

!FBCassandraClient methodsFor: 'as yet uncategorized' stamp: 'thrift 09/26/2008 10:22'!
batchInsertBlockingBatchMutation: batchMutation
    "batchMutation: Batch_mutation_t"
    self sendBatchInsertBlockingBatchMutation: batchMutation.
    ^ self recvBatchInsertBlocking success 
! !

!FBCassandraClient methodsFor: 'as yet uncategorized' stamp: 'thrift 09/26/2008 10:22'!
batchInsertSuperColumnBatchMutationSuper: batchMutationSuper
    "batchMutationSuper: Batch_mutation_super_t"
    self sendBatchInsertSuperColumnBatchMutationSuper: batchMutationSuper.
! !

!FBCassandraClient methodsFor: 'as yet uncategorized' stamp: 'thrift 09/26/2008 10:22'!
batchInsertSuperColumnBlockingBatchMutationSuper: batchMutationSuper
    "batchMutationSuper: Batch_mutation_super_t"
    self sendBatchInsertSuperColumnBlockingBatchMutationSuper: batchMutationSuper.
    ^ self recvBatchInsertSuperColumnBlocking success 
! !

!FBCassandraClient methodsFor: 'as yet uncategorized' stamp: 'thrift 09/26/2008 10:22'!
getColumnCountTablename: tablename key: key columnFamilyColumn: columnFamilyColumn
    "tablename: string, key: string, columnFamily_column: string"
    self sendGetColumnCountTablename: tablename key: key columnFamilyColumn: columnFamilyColumn.
    ^ self recvGetColumnCount success 
! !

!FBCassandraClient methodsFor: 'as yet uncategorized' stamp: 'thrift 09/26/2008 10:22'!
getColumnTablename: tablename key: key columnFamilyColumn: columnFamilyColumn
    "tablename: string, key: string, columnFamily_column: string"
    self sendGetColumnTablename: tablename key: key columnFamilyColumn: columnFamilyColumn.
    ^ self recvGetColumn success 
! !

!FBCassandraClient methodsFor: 'as yet uncategorized' stamp: 'thrift 09/26/2008 10:22'!
getSliceSuperTablename: tablename key: key columnFamilySuperColumnName: columnFamilySuperColumnName start: start count: count
    "tablename: string, key: string, columnFamily_superColumnName: string, start: i32, count: i32"
    self sendGetSliceSuperTablename: tablename key: key columnFamilySuperColumnName: columnFamilySuperColumnName start: start count: count.
    ^ self recvGetSliceSuper success 
! !

!FBCassandraClient methodsFor: 'as yet uncategorized' stamp: 'thrift 09/26/2008 10:22'!
getSliceTablename: tablename key: key columnFamilyColumn: columnFamilyColumn start: start count: count
    "tablename: string, key: string, columnFamily_column: string, start: i32, count: i32"
    self sendGetSliceTablename: tablename key: key columnFamilyColumn: columnFamilyColumn start: start count: count.
    ^ self recvGetSlice success 
! !

!FBCassandraClient methodsFor: 'as yet uncategorized' stamp: 'thrift 09/26/2008 10:22'!
getSuperColumnTablename: tablename key: key columnFamily: columnFamily
    "tablename: string, key: string, columnFamily: string"
    self sendGetSuperColumnTablename: tablename key: key columnFamily: columnFamily.
    ^ self recvGetSuperColumn success 
! !

!FBCassandraClient methodsFor: 'as yet uncategorized' stamp: 'thrift 09/26/2008 10:22'!
insertTablename: tablename key: key columnFamilyColumn: columnFamilyColumn cellData: cellData timestamp: timestamp
    "tablename: string, key: string, columnFamily_column: string, cellData: string, timestamp: i32"
    self sendInsertTablename: tablename key: key columnFamilyColumn: columnFamilyColumn cellData: cellData timestamp: timestamp.
! !

!FBCassandraClient methodsFor: 'as yet uncategorized' stamp: 'thrift 09/26/2008 10:22'!
recvBatchInsertBlocking
    | f msg res | 
    msg := oprot readMessageBegin.
    self validateRemoteMessage: msg.
    res := [|temp24 temp23|
      temp23 := TResult new.
      iprot readStructBegin.
      [temp24 := iprot readFieldBegin.
      temp24 type = TType stop] whileFalse: [|temp25|
        temp24 id = 0 ifTrue: [
          temp25 := true.
          temp23 success: iprot readBool].
        temp25 ifNil: [iprot skip: temp24 type]].
      oprot readStructEnd.
      temp23] value.
    oprot readMessageEnd.
    oprot transport flush.
    res exception ifNotNil: [res exception signal].
    ^ res! !

!FBCassandraClient methodsFor: 'as yet uncategorized' stamp: 'thrift 09/26/2008 10:22'!
recvBatchInsertSuperColumnBlocking
    | f msg res | 
    msg := oprot readMessageBegin.
    self validateRemoteMessage: msg.
    res := [|temp59 temp58|
      temp58 := TResult new.
      iprot readStructBegin.
      [temp59 := iprot readFieldBegin.
      temp59 type = TType stop] whileFalse: [|temp60|
        temp59 id = 0 ifTrue: [
          temp60 := true.
          temp58 success: iprot readBool].
        temp60 ifNil: [iprot skip: temp59 type]].
      oprot readStructEnd.
      temp58] value.
    oprot readMessageEnd.
    oprot transport flush.
    res exception ifNotNil: [res exception signal].
    ^ res! !

!FBCassandraClient methodsFor: 'as yet uncategorized' stamp: 'thrift 09/26/2008 10:22'!
recvGetColumn
    | f msg res | 
    msg := oprot readMessageBegin.
    self validateRemoteMessage: msg.
    res := [|temp9 temp8|
      temp8 := TResult new.
      iprot readStructBegin.
      [temp9 := iprot readFieldBegin.
      temp9 type = TType stop] whileFalse: [|temp10|
        temp9 id = 0 ifTrue: [
          temp10 := true.
          temp8 success: [|temp12 temp11|
            temp11 := FBColumnT new.
            iprot readStructBegin.
            [temp12 := iprot readFieldBegin.
            temp12 type = TType stop] whileFalse: [|temp13|
              temp12 id = 1 ifTrue: [
                temp13 := true.
                temp11 columnName: iprot readString].
              temp12 id = 2 ifTrue: [
                temp13 := true.
                temp11 value: iprot readString].
              temp12 id = 3 ifTrue: [
                temp13 := true.
                temp11 timestamp: iprot readI32].
              temp13 ifNil: [iprot skip: temp12 type]].
            oprot readStructEnd.
            temp11] value].
        temp10 ifNil: [iprot skip: temp9 type]].
      oprot readStructEnd.
      temp8] value.
    oprot readMessageEnd.
    oprot transport flush.
    res exception ifNotNil: [res exception signal].
    ^ res! !

!FBCassandraClient methodsFor: 'as yet uncategorized' stamp: 'thrift 09/26/2008 10:22'!
recvGetColumnCount
    | f msg res | 
    msg := oprot readMessageBegin.
    self validateRemoteMessage: msg.
    res := [|temp15 temp14|
      temp14 := TResult new.
      iprot readStructBegin.
      [temp15 := iprot readFieldBegin.
      temp15 type = TType stop] whileFalse: [|temp16|
        temp15 id = 0 ifTrue: [
          temp16 := true.
          temp14 success: iprot readI32].
        temp16 ifNil: [iprot skip: temp15 type]].
      oprot readStructEnd.
      temp14] value.
    oprot readMessageEnd.
    oprot transport flush.
    res exception ifNotNil: [res exception signal].
    ^ res! !

!FBCassandraClient methodsFor: 'as yet uncategorized' stamp: 'thrift 09/26/2008 10:22'!
recvGetSlice
    | f msg res | 
    msg := oprot readMessageBegin.
    self validateRemoteMessage: msg.
    res := [|temp1 temp0|
      temp0 := TResult new.
      iprot readStructBegin.
      [temp1 := iprot readFieldBegin.
      temp1 type = TType stop] whileFalse: [|temp2|
        temp1 id = 0 ifTrue: [
          temp2 := true.
          temp0 success: [|temp3 temp4| temp3 := iprot readListBegin.
            temp4 := OrderedCollection new.
            temp3 size timesRepeat: [
              temp4 add: [|temp6 temp5|
                temp5 := FBColumnT new.
                iprot readStructBegin.
                [temp6 := iprot readFieldBegin.
                temp6 type = TType stop] whileFalse: [|temp7|
                  temp6 id = 1 ifTrue: [
                    temp7 := true.
                    temp5 columnName: iprot readString].
                  temp6 id = 2 ifTrue: [
                    temp7 := true.
                    temp5 value: iprot readString].
                  temp6 id = 3 ifTrue: [
                    temp7 := true.
                    temp5 timestamp: iprot readI32].
                  temp7 ifNil: [iprot skip: temp6 type]].
                oprot readStructEnd.
                temp5] value].
            iprot readListEnd.
            temp4] value].
        temp2 ifNil: [iprot skip: temp1 type]].
      oprot readStructEnd.
      temp0] value.
    oprot readMessageEnd.
    oprot transport flush.
    res exception ifNotNil: [res exception signal].
    ^ res! !

!FBCassandraClient methodsFor: 'as yet uncategorized' stamp: 'thrift 09/26/2008 10:22'!
recvGetSliceSuper
    | f msg res | 
    msg := oprot readMessageBegin.
    self validateRemoteMessage: msg.
    res := [|temp27 temp26|
      temp26 := TResult new.
      iprot readStructBegin.
      [temp27 := iprot readFieldBegin.
      temp27 type = TType stop] whileFalse: [|temp28|
        temp27 id = 0 ifTrue: [
          temp28 := true.
          temp26 success: [|temp29 temp30| temp29 := iprot readListBegin.
            temp30 := OrderedCollection new.
            temp29 size timesRepeat: [
              temp30 add: [|temp32 temp31|
                temp31 := FBSuperColumnT new.
                iprot readStructBegin.
                [temp32 := iprot readFieldBegin.
                temp32 type = TType stop] whileFalse: [|temp33|
                  temp32 id = 1 ifTrue: [
                    temp33 := true.
                    temp31 name: iprot readString].
                  temp32 id = 2 ifTrue: [
                    temp33 := true.
                    temp31 columns: [|temp34 temp35| temp34 := iprot readListBegin.
                      temp35 := OrderedCollection new.
                      temp34 size timesRepeat: [
                        temp35 add: [|temp37 temp36|
                          temp36 := FBColumnT new.
                          iprot readStructBegin.
                          [temp37 := iprot readFieldBegin.
                          temp37 type = TType stop] whileFalse: [|temp38|
                            temp37 id = 1 ifTrue: [
                              temp38 := true.
                              temp36 columnName: iprot readString].
                            temp37 id = 2 ifTrue: [
                              temp38 := true.
                              temp36 value: iprot readString].
                            temp37 id = 3 ifTrue: [
                              temp38 := true.
                              temp36 timestamp: iprot readI32].
                            temp38 ifNil: [iprot skip: temp37 type]].
                          oprot readStructEnd.
                          temp36] value].
                      iprot readListEnd.
                      temp35] value].
                  temp33 ifNil: [iprot skip: temp32 type]].
                oprot readStructEnd.
                temp31] value].
            iprot readListEnd.
            temp30] value].
        temp28 ifNil: [iprot skip: temp27 type]].
      oprot readStructEnd.
      temp26] value.
    oprot readMessageEnd.
    oprot transport flush.
    res exception ifNotNil: [res exception signal].
    ^ res! !

!FBCassandraClient methodsFor: 'as yet uncategorized' stamp: 'thrift 09/26/2008 10:22'!
recvGetSuperColumn
    | f msg res | 
    msg := oprot readMessageBegin.
    self validateRemoteMessage: msg.
    res := [|temp40 temp39|
      temp39 := TResult new.
      iprot readStructBegin.
      [temp40 := iprot readFieldBegin.
      temp40 type = TType stop] whileFalse: [|temp41|
        temp40 id = 0 ifTrue: [
          temp41 := true.
          temp39 success: [|temp43 temp42|
            temp42 := FBSuperColumnT new.
            iprot readStructBegin.
            [temp43 := iprot readFieldBegin.
            temp43 type = TType stop] whileFalse: [|temp44|
              temp43 id = 1 ifTrue: [
                temp44 := true.
                temp42 name: iprot readString].
              temp43 id = 2 ifTrue: [
                temp44 := true.
                temp42 columns: [|temp45 temp46| temp45 := iprot readListBegin.
                  temp46 := OrderedCollection new.
                  temp45 size timesRepeat: [
                    temp46 add: [|temp48 temp47|
                      temp47 := FBColumnT new.
                      iprot readStructBegin.
                      [temp48 := iprot readFieldBegin.
                      temp48 type = TType stop] whileFalse: [|temp49|
                        temp48 id = 1 ifTrue: [
                          temp49 := true.
                          temp47 columnName: iprot readString].
                        temp48 id = 2 ifTrue: [
                          temp49 := true.
                          temp47 value: iprot readString].
                        temp48 id = 3 ifTrue: [
                          temp49 := true.
                          temp47 timestamp: iprot readI32].
                        temp49 ifNil: [iprot skip: temp48 type]].
                      oprot readStructEnd.
                      temp47] value].
                  iprot readListEnd.
                  temp46] value].
              temp44 ifNil: [iprot skip: temp43 type]].
            oprot readStructEnd.
            temp42] value].
        temp41 ifNil: [iprot skip: temp40 type]].
      oprot readStructEnd.
      temp39] value.
    oprot readMessageEnd.
    oprot transport flush.
    res exception ifNotNil: [res exception signal].
    ^ res! !

!FBCassandraClient methodsFor: 'as yet uncategorized' stamp: 'thrift 09/26/2008 10:22'!
removeTablename: tablename key: key columnFamilyColumn: columnFamilyColumn
    "tablename: string, key: string, columnFamily_column: string"
    self sendRemoveTablename: tablename key: key columnFamilyColumn: columnFamilyColumn.
! !

!FBCassandraClient methodsFor: 'as yet uncategorized' stamp: 'thrift 09/26/2008 10:22'!
sendBatchInsertBatchMutation: batchMutation
    oprot writeMessageBegin:
      (TCallMessage new
        name: 'batch_insert'; 
        seqid: self nextSeqid).
    oprot writeStructBegin: (TStruct new name: 'Batch_insert_args').
    oprot writeFieldBegin: (TField new name: 'batchMutation'; type: TType struct; id: -1).
    [oprot writeStructBegin: (TStruct new name: 'batch_mutation_t').
      oprot writeFieldBegin: (TField new name: 'table'; type: TType string; id: 1).
      iprot writeString: batchMutation table.
      oprot writeFieldEnd.
      oprot writeFieldBegin: (TField new name: 'key'; type: TType string; id: 2).
      iprot writeString: batchMutation key.
      oprot writeFieldEnd.
      oprot writeFieldBegin: (TField new name: 'cfmap'; type: TType map; id: 3).
      [oprot writeMapBegin: (TMap new keyType: TType string; valueType: TType list; size: batchMutation cfmap size).
        batchMutation cfmap keysAndValuesDo: [:temp17 :temp18 |
          iprot writeString: temp17.
          [oprot writeListBegin: (TList new elemType: TType struct; size: temp18 size).
            temp18 do: [:temp19|
              [oprot writeStructBegin: (TStruct new name: 'column_t').
                oprot writeFieldBegin: (TField new name: 'columnName'; type: TType string; id: 1).
                iprot writeString: temp19 columnName.
                oprot writeFieldEnd.
                oprot writeFieldBegin: (TField new name: 'value'; type: TType string; id: 2).
                iprot writeString: temp19 value.
                oprot writeFieldEnd.
                oprot writeFieldBegin: (TField new name: 'timestamp'; type: TType i32; id: 3).
                iprot writeI32: temp19 timestamp asInteger.
                oprot writeFieldEnd.
                oprot writeFieldStop; writeStructEnd] value
].
            oprot writeListEnd] value].
        oprot writeMapEnd] value.
      oprot writeFieldEnd.
      oprot writeFieldStop; writeStructEnd] value.
    oprot writeFieldEnd.
    oprot writeFieldStop; writeStructEnd; writeMessageEnd.
    oprot transport flush! !

!FBCassandraClient methodsFor: 'as yet uncategorized' stamp: 'thrift 09/26/2008 10:22'!
sendBatchInsertBlockingBatchMutation: batchMutation
    oprot writeMessageBegin:
      (TCallMessage new
        name: 'batch_insert_blocking'; 
        seqid: self nextSeqid).
    oprot writeStructBegin: (TStruct new name: 'Batch_insert_blocking_args').
    oprot writeFieldBegin: (TField new name: 'batchMutation'; type: TType struct; id: -1).
    [oprot writeStructBegin: (TStruct new name: 'batch_mutation_t').
      oprot writeFieldBegin: (TField new name: 'table'; type: TType string; id: 1).
      iprot writeString: batchMutation table.
      oprot writeFieldEnd.
      oprot writeFieldBegin: (TField new name: 'key'; type: TType string; id: 2).
      iprot writeString: batchMutation key.
      oprot writeFieldEnd.
      oprot writeFieldBegin: (TField new name: 'cfmap'; type: TType map; id: 3).
      [oprot writeMapBegin: (TMap new keyType: TType string; valueType: TType list; size: batchMutation cfmap size).
        batchMutation cfmap keysAndValuesDo: [:temp20 :temp21 |
          iprot writeString: temp20.
          [oprot writeListBegin: (TList new elemType: TType struct; size: temp21 size).
            temp21 do: [:temp22|
              [oprot writeStructBegin: (TStruct new name: 'column_t').
                oprot writeFieldBegin: (TField new name: 'columnName'; type: TType string; id: 1).
                iprot writeString: temp22 columnName.
                oprot writeFieldEnd.
                oprot writeFieldBegin: (TField new name: 'value'; type: TType string; id: 2).
                iprot writeString: temp22 value.
                oprot writeFieldEnd.
                oprot writeFieldBegin: (TField new name: 'timestamp'; type: TType i32; id: 3).
                iprot writeI32: temp22 timestamp asInteger.
                oprot writeFieldEnd.
                oprot writeFieldStop; writeStructEnd] value
].
            oprot writeListEnd] value].
        oprot writeMapEnd] value.
      oprot writeFieldEnd.
      oprot writeFieldStop; writeStructEnd] value.
    oprot writeFieldEnd.
    oprot writeFieldStop; writeStructEnd; writeMessageEnd.
    oprot transport flush! !

!FBCassandraClient methodsFor: 'as yet uncategorized' stamp: 'thrift 09/26/2008 10:22'!
sendBatchInsertSuperColumnBatchMutationSuper: batchMutationSuper
    oprot writeMessageBegin:
      (TCallMessage new
        name: 'batch_insert_superColumn'; 
        seqid: self nextSeqid).
    oprot writeStructBegin: (TStruct new name: 'Batch_insert_superColumn_args').
    oprot writeFieldBegin: (TField new name: 'batchMutationSuper'; type: TType struct; id: -1).
    [oprot writeStructBegin: (TStruct new name: 'batch_mutation_super_t').
      oprot writeFieldBegin: (TField new name: 'table'; type: TType string; id: 1).
      iprot writeString: batchMutationSuper table.
      oprot writeFieldEnd.
      oprot writeFieldBegin: (TField new name: 'key'; type: TType string; id: 2).
      iprot writeString: batchMutationSuper key.
      oprot writeFieldEnd.
      oprot writeFieldBegin: (TField new name: 'cfmap'; type: TType map; id: 3).
      [oprot writeMapBegin: (TMap new keyType: TType string; valueType: TType list; size: batchMutationSuper cfmap size).
        batchMutationSuper cfmap keysAndValuesDo: [:temp50 :temp51 |
          iprot writeString: temp50.
          [oprot writeListBegin: (TList new elemType: TType struct; size: temp51 size).
            temp51 do: [:temp52|
              [oprot writeStructBegin: (TStruct new name: 'superColumn_t').
                oprot writeFieldBegin: (TField new name: 'name'; type: TType string; id: 1).
                iprot writeString: temp52 name.
                oprot writeFieldEnd.
                oprot writeFieldBegin: (TField new name: 'columns'; type: TType list; id: 2).
                [oprot writeListBegin: (TList new elemType: TType struct; size: temp52 columns size).
                  temp52 columns do: [:temp53|
                    [oprot writeStructBegin: (TStruct new name: 'column_t').
                      oprot writeFieldBegin: (TField new name: 'columnName'; type: TType string; id: 1).
                      iprot writeString: temp53 columnName.
                      oprot writeFieldEnd.
                      oprot writeFieldBegin: (TField new name: 'value'; type: TType string; id: 2).
                      iprot writeString: temp53 value.
                      oprot writeFieldEnd.
                      oprot writeFieldBegin: (TField new name: 'timestamp'; type: TType i32; id: 3).
                      iprot writeI32: temp53 timestamp asInteger.
                      oprot writeFieldEnd.
                      oprot writeFieldStop; writeStructEnd] value
].
                  oprot writeListEnd] value.
                oprot writeFieldEnd.
                oprot writeFieldStop; writeStructEnd] value
].
            oprot writeListEnd] value].
        oprot writeMapEnd] value.
      oprot writeFieldEnd.
      oprot writeFieldStop; writeStructEnd] value.
    oprot writeFieldEnd.
    oprot writeFieldStop; writeStructEnd; writeMessageEnd.
    oprot transport flush! !

!FBCassandraClient methodsFor: 'as yet uncategorized' stamp: 'thrift 09/26/2008 10:22'!
sendBatchInsertSuperColumnBlockingBatchMutationSuper: batchMutationSuper
    oprot writeMessageBegin:
      (TCallMessage new
        name: 'batch_insert_superColumn_blocking'; 
        seqid: self nextSeqid).
    oprot writeStructBegin: (TStruct new name: 'Batch_insert_superColumn_blocking_args').
    oprot writeFieldBegin: (TField new name: 'batchMutationSuper'; type: TType struct; id: -1).
    [oprot writeStructBegin: (TStruct new name: 'batch_mutation_super_t').
      oprot writeFieldBegin: (TField new name: 'table'; type: TType string; id: 1).
      iprot writeString: batchMutationSuper table.
      oprot writeFieldEnd.
      oprot writeFieldBegin: (TField new name: 'key'; type: TType string; id: 2).
      iprot writeString: batchMutationSuper key.
      oprot writeFieldEnd.
      oprot writeFieldBegin: (TField new name: 'cfmap'; type: TType map; id: 3).
      [oprot writeMapBegin: (TMap new keyType: TType string; valueType: TType list; size: batchMutationSuper cfmap size).
        batchMutationSuper cfmap keysAndValuesDo: [:temp54 :temp55 |
          iprot writeString: temp54.
          [oprot writeListBegin: (TList new elemType: TType struct; size: temp55 size).
            temp55 do: [:temp56|
              [oprot writeStructBegin: (TStruct new name: 'superColumn_t').
                oprot writeFieldBegin: (TField new name: 'name'; type: TType string; id: 1).
                iprot writeString: temp56 name.
                oprot writeFieldEnd.
                oprot writeFieldBegin: (TField new name: 'columns'; type: TType list; id: 2).
                [oprot writeListBegin: (TList new elemType: TType struct; size: temp56 columns size).
                  temp56 columns do: [:temp57|
                    [oprot writeStructBegin: (TStruct new name: 'column_t').
                      oprot writeFieldBegin: (TField new name: 'columnName'; type: TType string; id: 1).
                      iprot writeString: temp57 columnName.
                      oprot writeFieldEnd.
                      oprot writeFieldBegin: (TField new name: 'value'; type: TType string; id: 2).
                      iprot writeString: temp57 value.
                      oprot writeFieldEnd.
                      oprot writeFieldBegin: (TField new name: 'timestamp'; type: TType i32; id: 3).
                      iprot writeI32: temp57 timestamp asInteger.
                      oprot writeFieldEnd.
                      oprot writeFieldStop; writeStructEnd] value
].
                  oprot writeListEnd] value.
                oprot writeFieldEnd.
                oprot writeFieldStop; writeStructEnd] value
].
            oprot writeListEnd] value].
        oprot writeMapEnd] value.
      oprot writeFieldEnd.
      oprot writeFieldStop; writeStructEnd] value.
    oprot writeFieldEnd.
    oprot writeFieldStop; writeStructEnd; writeMessageEnd.
    oprot transport flush! !

!FBCassandraClient methodsFor: 'as yet uncategorized' stamp: 'thrift 09/26/2008 10:22'!
sendGetColumnCountTablename: tablename key: key columnFamilyColumn: columnFamilyColumn
    oprot writeMessageBegin:
      (TCallMessage new
        name: 'get_column_count'; 
        seqid: self nextSeqid).
    oprot writeStructBegin: (TStruct new name: 'Get_column_count_args').
    oprot writeFieldBegin: (TField new name: 'tablename'; type: TType string; id: -1).
    iprot writeString: tablename.
    oprot writeFieldEnd.
    oprot writeFieldBegin: (TField new name: 'key'; type: TType string; id: -2).
    iprot writeString: key.
    oprot writeFieldEnd.
    oprot writeFieldBegin: (TField new name: 'columnFamily_column'; type: TType string; id: -3).
    iprot writeString: columnFamilyColumn.
    oprot writeFieldEnd.
    oprot writeFieldStop; writeStructEnd; writeMessageEnd.
    oprot transport flush! !

!FBCassandraClient methodsFor: 'as yet uncategorized' stamp: 'thrift 09/26/2008 10:22'!
sendGetColumnTablename: tablename key: key columnFamilyColumn: columnFamilyColumn
    oprot writeMessageBegin:
      (TCallMessage new
        name: 'get_column'; 
        seqid: self nextSeqid).
    oprot writeStructBegin: (TStruct new name: 'Get_column_args').
    oprot writeFieldBegin: (TField new name: 'tablename'; type: TType string; id: -1).
    iprot writeString: tablename.
    oprot writeFieldEnd.
    oprot writeFieldBegin: (TField new name: 'key'; type: TType string; id: -2).
    iprot writeString: key.
    oprot writeFieldEnd.
    oprot writeFieldBegin: (TField new name: 'columnFamily_column'; type: TType string; id: -3).
    iprot writeString: columnFamilyColumn.
    oprot writeFieldEnd.
    oprot writeFieldStop; writeStructEnd; writeMessageEnd.
    oprot transport flush! !

!FBCassandraClient methodsFor: 'as yet uncategorized' stamp: 'thrift 09/26/2008 10:22'!
sendGetSliceSuperTablename: tablename key: key columnFamilySuperColumnName: columnFamilySuperColumnName start: start count: count
    oprot writeMessageBegin:
      (TCallMessage new
        name: 'get_slice_super'; 
        seqid: self nextSeqid).
    oprot writeStructBegin: (TStruct new name: 'Get_slice_super_args').
    oprot writeFieldBegin: (TField new name: 'tablename'; type: TType string; id: -1).
    iprot writeString: tablename.
    oprot writeFieldEnd.
    oprot writeFieldBegin: (TField new name: 'key'; type: TType string; id: -2).
    iprot writeString: key.
    oprot writeFieldEnd.
    oprot writeFieldBegin: (TField new name: 'columnFamily_superColumnName'; type: TType string; id: -3).
    iprot writeString: columnFamilySuperColumnName.
    oprot writeFieldEnd.
    oprot writeFieldBegin: (TField new name: 'start'; type: TType i32; id: -4).
    iprot writeI32: start asInteger.
    oprot writeFieldEnd.
    oprot writeFieldBegin: (TField new name: 'count'; type: TType i32; id: -5).
    iprot writeI32: count asInteger.
    oprot writeFieldEnd.
    oprot writeFieldStop; writeStructEnd; writeMessageEnd.
    oprot transport flush! !

!FBCassandraClient methodsFor: 'as yet uncategorized' stamp: 'thrift 09/26/2008 10:22'!
sendGetSliceTablename: tablename key: key columnFamilyColumn: columnFamilyColumn start: start count: count
    oprot writeMessageBegin:
      (TCallMessage new
        name: 'get_slice'; 
        seqid: self nextSeqid).
    oprot writeStructBegin: (TStruct new name: 'Get_slice_args').
    oprot writeFieldBegin: (TField new name: 'tablename'; type: TType string; id: -1).
    iprot writeString: tablename.
    oprot writeFieldEnd.
    oprot writeFieldBegin: (TField new name: 'key'; type: TType string; id: -2).
    iprot writeString: key.
    oprot writeFieldEnd.
    oprot writeFieldBegin: (TField new name: 'columnFamily_column'; type: TType string; id: -3).
    iprot writeString: columnFamilyColumn.
    oprot writeFieldEnd.
    oprot writeFieldBegin: (TField new name: 'start'; type: TType i32; id: -4).
    iprot writeI32: start asInteger.
    oprot writeFieldEnd.
    oprot writeFieldBegin: (TField new name: 'count'; type: TType i32; id: -5).
    iprot writeI32: count asInteger.
    oprot writeFieldEnd.
    oprot writeFieldStop; writeStructEnd; writeMessageEnd.
    oprot transport flush! !

!FBCassandraClient methodsFor: 'as yet uncategorized' stamp: 'thrift 09/26/2008 10:22'!
sendGetSuperColumnTablename: tablename key: key columnFamily: columnFamily
    oprot writeMessageBegin:
      (TCallMessage new
        name: 'get_superColumn'; 
        seqid: self nextSeqid).
    oprot writeStructBegin: (TStruct new name: 'Get_superColumn_args').
    oprot writeFieldBegin: (TField new name: 'tablename'; type: TType string; id: -1).
    iprot writeString: tablename.
    oprot writeFieldEnd.
    oprot writeFieldBegin: (TField new name: 'key'; type: TType string; id: -2).
    iprot writeString: key.
    oprot writeFieldEnd.
    oprot writeFieldBegin: (TField new name: 'columnFamily'; type: TType string; id: -3).
    iprot writeString: columnFamily.
    oprot writeFieldEnd.
    oprot writeFieldStop; writeStructEnd; writeMessageEnd.
    oprot transport flush! !

!FBCassandraClient methodsFor: 'as yet uncategorized' stamp: 'thrift 09/26/2008 10:22'!
sendInsertTablename: tablename key: key columnFamilyColumn: columnFamilyColumn cellData: cellData timestamp: timestamp
    oprot writeMessageBegin:
      (TCallMessage new
        name: 'insert'; 
        seqid: self nextSeqid).
    oprot writeStructBegin: (TStruct new name: 'Insert_args').
    oprot writeFieldBegin: (TField new name: 'tablename'; type: TType string; id: -1).
    iprot writeString: tablename.
    oprot writeFieldEnd.
    oprot writeFieldBegin: (TField new name: 'key'; type: TType string; id: -2).
    iprot writeString: key.
    oprot writeFieldEnd.
    oprot writeFieldBegin: (TField new name: 'columnFamily_column'; type: TType string; id: -3).
    iprot writeString: columnFamilyColumn.
    oprot writeFieldEnd.
    oprot writeFieldBegin: (TField new name: 'cellData'; type: TType string; id: -4).
    iprot writeString: cellData.
    oprot writeFieldEnd.
    oprot writeFieldBegin: (TField new name: 'timestamp'; type: TType i32; id: -5).
    iprot writeI32: timestamp asInteger.
    oprot writeFieldEnd.
    oprot writeFieldStop; writeStructEnd; writeMessageEnd.
    oprot transport flush! !

!FBCassandraClient methodsFor: 'as yet uncategorized' stamp: 'thrift 09/26/2008 10:22'!
sendRemoveTablename: tablename key: key columnFamilyColumn: columnFamilyColumn
    oprot writeMessageBegin:
      (TCallMessage new
        name: 'remove'; 
        seqid: self nextSeqid).
    oprot writeStructBegin: (TStruct new name: 'Remove_args').
    oprot writeFieldBegin: (TField new name: 'tablename'; type: TType string; id: -1).
    iprot writeString: tablename.
    oprot writeFieldEnd.
    oprot writeFieldBegin: (TField new name: 'key'; type: TType string; id: -2).
    iprot writeString: key.
    oprot writeFieldEnd.
    oprot writeFieldBegin: (TField new name: 'columnFamily_column'; type: TType string; id: -3).
    iprot writeString: columnFamilyColumn.
    oprot writeFieldEnd.
    oprot writeFieldStop; writeStructEnd; writeMessageEnd.
    oprot transport flush! !

!FBFacebookServiceClient methodsFor: 'as yet uncategorized' stamp: 'thrift 09/25/2008 20:13'!
aliveSince
    ""
    self sendAliveSince.
    ^ self recvAliveSince success 
! !

!FBFacebookServiceClient methodsFor: 'as yet uncategorized' stamp: 'thrift 09/25/2008 20:13'!
getCounterKey: key
    "key: string"
    self sendGetCounterKey: key.
    ^ self recvGetCounter success 
! !

!FBFacebookServiceClient methodsFor: 'as yet uncategorized' stamp: 'thrift 09/25/2008 20:13'!
getCounters
    ""
    self sendGetCounters.
    ^ self recvGetCounters success 
! !

!FBFacebookServiceClient methodsFor: 'as yet uncategorized' stamp: 'thrift 09/25/2008 20:13'!
getCpuProfileProfileDurationInSec: profileDurationInSec
    "profileDurationInSec: i32"
    self sendGetCpuProfileProfileDurationInSec: profileDurationInSec.
    ^ self recvGetCpuProfile success 
! !

!FBFacebookServiceClient methodsFor: 'as yet uncategorized' stamp: 'thrift 09/25/2008 20:13'!
getLimitedReflection
    ""
    self sendGetLimitedReflection.
    ^ self recvGetLimitedReflection success 
! !

!FBFacebookServiceClient methodsFor: 'as yet uncategorized' stamp: 'thrift 09/25/2008 20:13'!
getName
    ""
    self sendGetName.
    ^ self recvGetName success 
! !

!FBFacebookServiceClient methodsFor: 'as yet uncategorized' stamp: 'thrift 09/25/2008 20:13'!
getOptionKey: key
    "key: string"
    self sendGetOptionKey: key.
    ^ self recvGetOption success 
! !

!FBFacebookServiceClient methodsFor: 'as yet uncategorized' stamp: 'thrift 09/25/2008 20:13'!
getOptions
    ""
    self sendGetOptions.
    ^ self recvGetOptions success 
! !

!FBFacebookServiceClient methodsFor: 'as yet uncategorized' stamp: 'thrift 09/25/2008 20:13'!
getStatus
    ""
    self sendGetStatus.
    ^ self recvGetStatus success 
! !

!FBFacebookServiceClient methodsFor: 'as yet uncategorized' stamp: 'thrift 09/25/2008 20:13'!
getStatusDetails
    ""
    self sendGetStatusDetails.
    ^ self recvGetStatusDetails success 
! !

!FBFacebookServiceClient methodsFor: 'as yet uncategorized' stamp: 'thrift 09/25/2008 20:13'!
getVersion
    ""
    self sendGetVersion.
    ^ self recvGetVersion success 
! !

!FBFacebookServiceClient methodsFor: 'as yet uncategorized' stamp: 'thrift 09/25/2008 20:13'!
recvAliveSince
    | f msg res | 
    msg := oprot readMessageBegin.
    self validateRemoteMessage: msg.
    res := [|temp35 temp34|
      temp34 := TResult new.
      iprot readStructBegin.
      [temp35 := iprot readFieldBegin.
      temp35 type = TType stop] whileFalse: [|temp36|
        temp35 id = 0 ifTrue: [
          temp36 := true.
          temp34 success: iprot readI64].
        temp36 ifNil: [iprot skip: temp35 type]].
      oprot readStructEnd.
      temp34] value.
    oprot readMessageEnd.
    oprot transport flush.
    res exception ifNotNil: [res exception signal].
    ^ res! !

!FBFacebookServiceClient methodsFor: 'as yet uncategorized' stamp: 'thrift 09/25/2008 20:13'!
recvGetCounter
    | f msg res | 
    msg := oprot readMessageBegin.
    self validateRemoteMessage: msg.
    res := [|temp18 temp17|
      temp17 := TResult new.
      iprot readStructBegin.
      [temp18 := iprot readFieldBegin.
      temp18 type = TType stop] whileFalse: [|temp19|
        temp18 id = 0 ifTrue: [
          temp19 := true.
          temp17 success: iprot readI64].
        temp19 ifNil: [iprot skip: temp18 type]].
      oprot readStructEnd.
      temp17] value.
    oprot readMessageEnd.
    oprot transport flush.
    res exception ifNotNil: [res exception signal].
    ^ res! !

!FBFacebookServiceClient methodsFor: 'as yet uncategorized' stamp: 'thrift 09/25/2008 20:13'!
recvGetCounters
    | f msg res | 
    msg := oprot readMessageBegin.
    self validateRemoteMessage: msg.
    res := [|temp13 temp12|
      temp12 := TResult new.
      iprot readStructBegin.
      [temp13 := iprot readFieldBegin.
      temp13 type = TType stop] whileFalse: [|temp14|
        temp13 id = 0 ifTrue: [
          temp14 := true.
          temp12 success: [|temp15 temp16| 
            temp15 := iprot readMapBegin.
            temp16 := Dictionary new.
            temp15 size timesRepeat: [
              temp16 at: iprot readString put: iprot readI64].
            iprot readMapEnd.
            temp16] value].
        temp14 ifNil: [iprot skip: temp13 type]].
      oprot readStructEnd.
      temp12] value.
    oprot readMessageEnd.
    oprot transport flush.
    res exception ifNotNil: [res exception signal].
    ^ res! !

!FBFacebookServiceClient methodsFor: 'as yet uncategorized' stamp: 'thrift 09/25/2008 20:13'!
recvGetCpuProfile
    | f msg res | 
    msg := oprot readMessageBegin.
    self validateRemoteMessage: msg.
    res := [|temp32 temp31|
      temp31 := TResult new.
      iprot readStructBegin.
      [temp32 := iprot readFieldBegin.
      temp32 type = TType stop] whileFalse: [|temp33|
        temp32 id = 0 ifTrue: [
          temp33 := true.
          temp31 success: iprot readString].
        temp33 ifNil: [iprot skip: temp32 type]].
      oprot readStructEnd.
      temp31] value.
    oprot readMessageEnd.
    oprot transport flush.
    res exception ifNotNil: [res exception signal].
    ^ res! !

!FBFacebookServiceClient methodsFor: 'as yet uncategorized' stamp: 'thrift 09/23/2008 18:44'!
recvGetLimitedReflection
    | f msg res | 
    msg := oprot readMessageBegin.
    self validateRemoteMessage: msg.
    res := [|temp38 temp37|
      temp37 := TResult new.
      iprot readStructBegin.
      [temp38 := iprot readFieldBegin.
      temp38 type = TType stop] whileFalse: [|temp39|
        temp38 id = 0 ifTrue: [
          temp39 := true.
          temp37 success: [|temp41 temp40|
            temp40 := Service new.
            iprot readStructBegin.
            [temp41 := iprot readFieldBegin.
            temp41 type = TType stop] whileFalse: [|temp42|
              temp41 id = 1 ifTrue: [
                temp42 := true.
                temp40 name: iprot readString].
              temp41 id = 2 ifTrue: [
                temp42 := true.
                temp40 methods: [|temp43 temp44| temp43 := iprot readListBegin.
                  temp44 := OrderedCollection new.
                  temp43 size timesRepeat: [
                    temp44 add: [|temp46 temp45|
                      temp45 := Method new.
                      iprot readStructBegin.
                      [temp46 := iprot readFieldBegin.
                      temp46 type = TType stop] whileFalse: [|temp47|
                        temp46 id = 1 ifTrue: [
                          temp47 := true.
                          temp45 name: iprot readString].
                        temp46 id = 2 ifTrue: [
                          temp47 := true.
                          temp45 returnType: (self recvGetLimitedReflectionSub1)].
                        temp46 id = 3 ifTrue: [
                          temp47 := true.
                          temp45 arguments: [|temp63 temp64| temp63 := iprot readListBegin.
                            temp64 := OrderedCollection new.
                            temp63 size timesRepeat: [
                              temp64 add: [|temp66 temp65|
                                temp65 := Argument new.
                                iprot readStructBegin.
                                [temp66 := iprot readFieldBegin.
                                temp66 type = TType stop] whileFalse: [|temp67|
                                  temp66 id = 1 ifTrue: [
                                    temp67 := true.
                                    temp65 key: iprot readI16].
                                  temp66 id = 2 ifTrue: [
                                    temp67 := true.
                                    temp65 name: iprot readString].
                                  temp66 id = 3 ifTrue: [
                                    temp67 := true.
                                    temp65 type: (self recvGetLimitedReflectionSub2)].
                                  temp67 ifNil: [iprot skip: temp66 type]].
                                oprot readStructEnd.
                                temp65] value].
                            iprot readListEnd.
                            temp64] value].
                        temp47 ifNil: [iprot skip: temp46 type]].
                      oprot readStructEnd.
                      temp45] value].
                  iprot readListEnd.
                  temp44] value].
              temp41 id = 3 ifTrue: [
                temp42 := true.
                temp40 fullyReflected: iprot readBool].
              temp42 ifNil: [iprot skip: temp41 type]].
            oprot readStructEnd.
            temp40] value].
        temp39 ifNil: [iprot skip: temp38 type]].
      oprot readStructEnd.
      temp37] value.
    oprot readMessageEnd.
    oprot transport flush.
    res exception ifNotNil: [res exception signal].
    ^ res! !

!FBFacebookServiceClient methodsFor: 'as yet uncategorized' stamp: 'thrift 09/23/2008 18:44'!
recvGetLimitedReflectionSub1
    |temp49 temp48|
    temp48 := ThriftType new.
    iprot readStructBegin.
    [temp49 := iprot readFieldBegin.
    temp49 type = TType stop] whileFalse: [|temp50|
      temp49 id = 1 ifTrue: [
        temp50 := true.
        temp48 isContainer: iprot readBool].
      temp49 id = 2 ifTrue: [
        temp50 := true.
        temp48 simpleType: [|temp52 temp51|
          temp51 := SimpleType new.
          iprot readStructBegin.
          [temp52 := iprot readFieldBegin.
          temp52 type = TType stop] whileFalse: [|temp53|
            temp52 id = 1 ifTrue: [
              temp53 := true.
              temp51 ttype: iprot readI32].
            temp52 id = 2 ifTrue: [
              temp53 := true.
              temp51 name: iprot readString].
            temp53 ifNil: [iprot skip: temp52 type]].
          oprot readStructEnd.
          temp51] value].
      temp49 id = 3 ifTrue: [
        temp50 := true.
        temp48 containerType: [|temp55 temp54|
          temp54 := ContainerType new.
          iprot readStructBegin.
          [temp55 := iprot readFieldBegin.
          temp55 type = TType stop] whileFalse: [|temp56|
            temp55 id = 1 ifTrue: [
              temp56 := true.
              temp54 ttype: iprot readI32].
            temp55 id = 2 ifTrue: [
              temp56 := true.
              temp54 subtype1: [|temp58 temp57|
                temp57 := SimpleType new.
                iprot readStructBegin.
                [temp58 := iprot readFieldBegin.
                temp58 type = TType stop] whileFalse: [|temp59|
                  temp58 id = 1 ifTrue: [
                    temp59 := true.
                    temp57 ttype: iprot readI32].
                  temp58 id = 2 ifTrue: [
                    temp59 := true.
                    temp57 name: iprot readString].
                  temp59 ifNil: [iprot skip: temp58 type]].
                oprot readStructEnd.
                temp57] value].
            temp55 id = 3 ifTrue: [
              temp56 := true.
              temp54 subtype2: [|temp61 temp60|
                temp60 := SimpleType new.
                iprot readStructBegin.
                [temp61 := iprot readFieldBegin.
                temp61 type = TType stop] whileFalse: [|temp62|
                  temp61 id = 1 ifTrue: [
                    temp62 := true.
                    temp60 ttype: iprot readI32].
                  temp61 id = 2 ifTrue: [
                    temp62 := true.
                    temp60 name: iprot readString].
                  temp62 ifNil: [iprot skip: temp61 type]].
                oprot readStructEnd.
                temp60] value].
            temp56 ifNil: [iprot skip: temp55 type]].
          oprot readStructEnd.
          temp54] value].
      temp50 ifNil: [iprot skip: temp49 type]].
    oprot readStructEnd.
    ^ temp48
! !

!FBFacebookServiceClient methodsFor: 'as yet uncategorized' stamp: 'thrift 09/23/2008 18:44'!
recvGetLimitedReflectionSub2
    |temp69 temp68|
    temp68 := ThriftType new.
    iprot readStructBegin.
    [temp69 := iprot readFieldBegin.
    temp69 type = TType stop] whileFalse: [|temp70|
      temp69 id = 1 ifTrue: [
        temp70 := true.
        temp68 isContainer: iprot readBool].
      temp69 id = 2 ifTrue: [
        temp70 := true.
        temp68 simpleType: [|temp72 temp71|
          temp71 := SimpleType new.
          iprot readStructBegin.
          [temp72 := iprot readFieldBegin.
          temp72 type = TType stop] whileFalse: [|temp73|
            temp72 id = 1 ifTrue: [
              temp73 := true.
              temp71 ttype: iprot readI32].
            temp72 id = 2 ifTrue: [
              temp73 := true.
              temp71 name: iprot readString].
            temp73 ifNil: [iprot skip: temp72 type]].
          oprot readStructEnd.
          temp71] value].
      temp69 id = 3 ifTrue: [
        temp70 := true.
        temp68 containerType: [|temp75 temp74|
          temp74 := ContainerType new.
          iprot readStructBegin.
          [temp75 := iprot readFieldBegin.
          temp75 type = TType stop] whileFalse: [|temp76|
            temp75 id = 1 ifTrue: [
              temp76 := true.
              temp74 ttype: iprot readI32].
            temp75 id = 2 ifTrue: [
              temp76 := true.
              temp74 subtype1: [|temp78 temp77|
                temp77 := SimpleType new.
                iprot readStructBegin.
                [temp78 := iprot readFieldBegin.
                temp78 type = TType stop] whileFalse: [|temp79|
                  temp78 id = 1 ifTrue: [
                    temp79 := true.
                    temp77 ttype: iprot readI32].
                  temp78 id = 2 ifTrue: [
                    temp79 := true.
                    temp77 name: iprot readString].
                  temp79 ifNil: [iprot skip: temp78 type]].
                oprot readStructEnd.
                temp77] value].
            temp75 id = 3 ifTrue: [
              temp76 := true.
              temp74 subtype2: [|temp81 temp80|
                temp80 := SimpleType new.
                iprot readStructBegin.
                [temp81 := iprot readFieldBegin.
                temp81 type = TType stop] whileFalse: [|temp82|
                  temp81 id = 1 ifTrue: [
                    temp82 := true.
                    temp80 ttype: iprot readI32].
                  temp81 id = 2 ifTrue: [
                    temp82 := true.
                    temp80 name: iprot readString].
                  temp82 ifNil: [iprot skip: temp81 type]].
                oprot readStructEnd.
                temp80] value].
            temp76 ifNil: [iprot skip: temp75 type]].
          oprot readStructEnd.
          temp74] value].
      temp70 ifNil: [iprot skip: temp69 type]].
    oprot readStructEnd.
    ^ temp68
! !

!FBFacebookServiceClient methodsFor: 'as yet uncategorized' stamp: 'thrift 09/25/2008 20:13'!
recvGetName
    | f msg res | 
    msg := oprot readMessageBegin.
    self validateRemoteMessage: msg.
    res := [|temp1 temp0|
      temp0 := TResult new.
      iprot readStructBegin.
      [temp1 := iprot readFieldBegin.
      temp1 type = TType stop] whileFalse: [|temp2|
        temp1 id = 0 ifTrue: [
          temp2 := true.
          temp0 success: iprot readString].
        temp2 ifNil: [iprot skip: temp1 type]].
      oprot readStructEnd.
      temp0] value.
    oprot readMessageEnd.
    oprot transport flush.
    res exception ifNotNil: [res exception signal].
    ^ res! !

!FBFacebookServiceClient methodsFor: 'as yet uncategorized' stamp: 'thrift 09/25/2008 20:13'!
recvGetOption
    | f msg res | 
    msg := oprot readMessageBegin.
    self validateRemoteMessage: msg.
    res := [|temp24 temp23|
      temp23 := TResult new.
      iprot readStructBegin.
      [temp24 := iprot readFieldBegin.
      temp24 type = TType stop] whileFalse: [|temp25|
        temp24 id = 0 ifTrue: [
          temp25 := true.
          temp23 success: iprot readString].
        temp25 ifNil: [iprot skip: temp24 type]].
      oprot readStructEnd.
      temp23] value.
    oprot readMessageEnd.
    oprot transport flush.
    res exception ifNotNil: [res exception signal].
    ^ res! !

!FBFacebookServiceClient methodsFor: 'as yet uncategorized' stamp: 'thrift 09/25/2008 20:13'!
recvGetOptions
    | f msg res | 
    msg := oprot readMessageBegin.
    self validateRemoteMessage: msg.
    res := [|temp27 temp26|
      temp26 := TResult new.
      iprot readStructBegin.
      [temp27 := iprot readFieldBegin.
      temp27 type = TType stop] whileFalse: [|temp28|
        temp27 id = 0 ifTrue: [
          temp28 := true.
          temp26 success: [|temp29 temp30| 
            temp29 := iprot readMapBegin.
            temp30 := Dictionary new.
            temp29 size timesRepeat: [
              temp30 at: iprot readString put: iprot readString].
            iprot readMapEnd.
            temp30] value].
        temp28 ifNil: [iprot skip: temp27 type]].
      oprot readStructEnd.
      temp26] value.
    oprot readMessageEnd.
    oprot transport flush.
    res exception ifNotNil: [res exception signal].
    ^ res! !

!FBFacebookServiceClient methodsFor: 'as yet uncategorized' stamp: 'thrift 09/25/2008 20:13'!
recvGetStatus
    | f msg res | 
    msg := oprot readMessageBegin.
    self validateRemoteMessage: msg.
    res := [|temp7 temp6|
      temp6 := TResult new.
      iprot readStructBegin.
      [temp7 := iprot readFieldBegin.
      temp7 type = TType stop] whileFalse: [|temp8|
        temp7 id = 0 ifTrue: [
          temp8 := true.
          temp6 success: iprot readI32].
        temp8 ifNil: [iprot skip: temp7 type]].
      oprot readStructEnd.
      temp6] value.
    oprot readMessageEnd.
    oprot transport flush.
    res exception ifNotNil: [res exception signal].
    ^ res! !

!FBFacebookServiceClient methodsFor: 'as yet uncategorized' stamp: 'thrift 09/25/2008 20:13'!
recvGetStatusDetails
    | f msg res | 
    msg := oprot readMessageBegin.
    self validateRemoteMessage: msg.
    res := [|temp10 temp9|
      temp9 := TResult new.
      iprot readStructBegin.
      [temp10 := iprot readFieldBegin.
      temp10 type = TType stop] whileFalse: [|temp11|
        temp10 id = 0 ifTrue: [
          temp11 := true.
          temp9 success: iprot readString].
        temp11 ifNil: [iprot skip: temp10 type]].
      oprot readStructEnd.
      temp9] value.
    oprot readMessageEnd.
    oprot transport flush.
    res exception ifNotNil: [res exception signal].
    ^ res! !

!FBFacebookServiceClient methodsFor: 'as yet uncategorized' stamp: 'thrift 09/25/2008 20:13'!
recvGetVersion
    | f msg res | 
    msg := oprot readMessageBegin.
    self validateRemoteMessage: msg.
    res := [|temp4 temp3|
      temp3 := TResult new.
      iprot readStructBegin.
      [temp4 := iprot readFieldBegin.
      temp4 type = TType stop] whileFalse: [|temp5|
        temp4 id = 0 ifTrue: [
          temp5 := true.
          temp3 success: iprot readString].
        temp5 ifNil: [iprot skip: temp4 type]].
      oprot readStructEnd.
      temp3] value.
    oprot readMessageEnd.
    oprot transport flush.
    res exception ifNotNil: [res exception signal].
    ^ res! !

!FBFacebookServiceClient methodsFor: 'as yet uncategorized' stamp: 'thrift 09/25/2008 20:13'!
recvSetOption
    | f msg res | 
    msg := oprot readMessageBegin.
    self validateRemoteMessage: msg.
    res := [|temp21 temp20|
      temp20 := TResult new.
      iprot readStructBegin.
      [temp21 := iprot readFieldBegin.
      temp21 type = TType stop] whileFalse: [|temp22|
        temp21 id = 0 ifTrue: [
          temp22 := true.
          temp20 success: iprot readVoid].
        temp22 ifNil: [iprot skip: temp21 type]].
      oprot readStructEnd.
      temp20] value.
    oprot readMessageEnd.
    oprot transport flush.
    res exception ifNotNil: [res exception signal].
    ^ res! !

!FBFacebookServiceClient methodsFor: 'as yet uncategorized' stamp: 'thrift 09/25/2008 20:13'!
reinitialize
    ""
    self sendReinitialize.
! !

!FBFacebookServiceClient methodsFor: 'as yet uncategorized' stamp: 'thrift 09/25/2008 20:13'!
sendAliveSince
    oprot writeMessageBegin:
      (TCallMessage new
        name: 'aliveSince'; 
        seqid: self nextSeqid).
    oprot writeStructBegin: (TStruct new name: 'AliveSince_args').
    oprot writeFieldStop; writeStructEnd; writeMessageEnd.
    oprot transport flush! !

!FBFacebookServiceClient methodsFor: 'as yet uncategorized' stamp: 'thrift 09/25/2008 20:13'!
sendGetCounterKey: key
    oprot writeMessageBegin:
      (TCallMessage new
        name: 'getCounter'; 
        seqid: self nextSeqid).
    oprot writeStructBegin: (TStruct new name: 'GetCounter_args').
    oprot writeFieldBegin: (TField new name: 'key'; type: TType string; id: 1).
    iprot writeString: key.
    oprot writeFieldEnd.
    oprot writeFieldStop; writeStructEnd; writeMessageEnd.
    oprot transport flush! !

!FBFacebookServiceClient methodsFor: 'as yet uncategorized' stamp: 'thrift 09/25/2008 20:13'!
sendGetCounters
    oprot writeMessageBegin:
      (TCallMessage new
        name: 'getCounters'; 
        seqid: self nextSeqid).
    oprot writeStructBegin: (TStruct new name: 'GetCounters_args').
    oprot writeFieldStop; writeStructEnd; writeMessageEnd.
    oprot transport flush! !

!FBFacebookServiceClient methodsFor: 'as yet uncategorized' stamp: 'thrift 09/25/2008 20:13'!
sendGetCpuProfileProfileDurationInSec: profileDurationInSec
    oprot writeMessageBegin:
      (TCallMessage new
        name: 'getCpuProfile'; 
        seqid: self nextSeqid).
    oprot writeStructBegin: (TStruct new name: 'GetCpuProfile_args').
    oprot writeFieldBegin: (TField new name: 'profileDurationInSec'; type: TType i32; id: 1).
    iprot writeI32: profileDurationInSec asInteger.
    oprot writeFieldEnd.
    oprot writeFieldStop; writeStructEnd; writeMessageEnd.
    oprot transport flush! !

!FBFacebookServiceClient methodsFor: 'as yet uncategorized' stamp: 'thrift 09/25/2008 20:13'!
sendGetLimitedReflection
    oprot writeMessageBegin:
      (TCallMessage new
        name: 'getLimitedReflection'; 
        seqid: self nextSeqid).
    oprot writeStructBegin: (TStruct new name: 'GetLimitedReflection_args').
    oprot writeFieldStop; writeStructEnd; writeMessageEnd.
    oprot transport flush! !

!FBFacebookServiceClient methodsFor: 'as yet uncategorized' stamp: 'thrift 09/25/2008 20:13'!
sendGetName
    oprot writeMessageBegin:
      (TCallMessage new
        name: 'getName'; 
        seqid: self nextSeqid).
    oprot writeStructBegin: (TStruct new name: 'GetName_args').
    oprot writeFieldStop; writeStructEnd; writeMessageEnd.
    oprot transport flush! !

!FBFacebookServiceClient methodsFor: 'as yet uncategorized' stamp: 'thrift 09/25/2008 20:13'!
sendGetOptionKey: key
    oprot writeMessageBegin:
      (TCallMessage new
        name: 'getOption'; 
        seqid: self nextSeqid).
    oprot writeStructBegin: (TStruct new name: 'GetOption_args').
    oprot writeFieldBegin: (TField new name: 'key'; type: TType string; id: 1).
    iprot writeString: key.
    oprot writeFieldEnd.
    oprot writeFieldStop; writeStructEnd; writeMessageEnd.
    oprot transport flush! !

!FBFacebookServiceClient methodsFor: 'as yet uncategorized' stamp: 'thrift 09/25/2008 20:13'!
sendGetOptions
    oprot writeMessageBegin:
      (TCallMessage new
        name: 'getOptions'; 
        seqid: self nextSeqid).
    oprot writeStructBegin: (TStruct new name: 'GetOptions_args').
    oprot writeFieldStop; writeStructEnd; writeMessageEnd.
    oprot transport flush! !

!FBFacebookServiceClient methodsFor: 'as yet uncategorized' stamp: 'thrift 09/25/2008 20:13'!
sendGetStatus
    oprot writeMessageBegin:
      (TCallMessage new
        name: 'getStatus'; 
        seqid: self nextSeqid).
    oprot writeStructBegin: (TStruct new name: 'GetStatus_args').
    oprot writeFieldStop; writeStructEnd; writeMessageEnd.
    oprot transport flush! !

!FBFacebookServiceClient methodsFor: 'as yet uncategorized' stamp: 'thrift 09/25/2008 20:13'!
sendGetStatusDetails
    oprot writeMessageBegin:
      (TCallMessage new
        name: 'getStatusDetails'; 
        seqid: self nextSeqid).
    oprot writeStructBegin: (TStruct new name: 'GetStatusDetails_args').
    oprot writeFieldStop; writeStructEnd; writeMessageEnd.
    oprot transport flush! !

!FBFacebookServiceClient methodsFor: 'as yet uncategorized' stamp: 'thrift 09/25/2008 20:13'!
sendGetVersion
    oprot writeMessageBegin:
      (TCallMessage new
        name: 'getVersion'; 
        seqid: self nextSeqid).
    oprot writeStructBegin: (TStruct new name: 'GetVersion_args').
    oprot writeFieldStop; writeStructEnd; writeMessageEnd.
    oprot transport flush! !

!FBFacebookServiceClient methodsFor: 'as yet uncategorized' stamp: 'thrift 09/25/2008 20:13'!
sendReinitialize
    oprot writeMessageBegin:
      (TCallMessage new
        name: 'reinitialize'; 
        seqid: self nextSeqid).
    oprot writeStructBegin: (TStruct new name: 'Reinitialize_args').
    oprot writeFieldStop; writeStructEnd; writeMessageEnd.
    oprot transport flush! !

!FBFacebookServiceClient methodsFor: 'as yet uncategorized' stamp: 'thrift 09/25/2008 20:13'!
sendSetOptionKey: key value: value
    oprot writeMessageBegin:
      (TCallMessage new
        name: 'setOption'; 
        seqid: self nextSeqid).
    oprot writeStructBegin: (TStruct new name: 'SetOption_args').
    oprot writeFieldBegin: (TField new name: 'key'; type: TType string; id: 1).
    iprot writeString: key.
    oprot writeFieldEnd.
    oprot writeFieldBegin: (TField new name: 'value'; type: TType string; id: 2).
    iprot writeString: value.
    oprot writeFieldEnd.
    oprot writeFieldStop; writeStructEnd; writeMessageEnd.
    oprot transport flush! !

!FBFacebookServiceClient methodsFor: 'as yet uncategorized' stamp: 'thrift 09/25/2008 20:13'!
sendShutdown
    oprot writeMessageBegin:
      (TCallMessage new
        name: 'shutdown'; 
        seqid: self nextSeqid).
    oprot writeStructBegin: (TStruct new name: 'Shutdown_args').
    oprot writeFieldStop; writeStructEnd; writeMessageEnd.
    oprot transport flush! !

!FBFacebookServiceClient methodsFor: 'as yet uncategorized' stamp: 'thrift 09/25/2008 20:13'!
setOptionKey: key value: value
    "key: string, value: string"
    self sendSetOptionKey: key value: value.
    ^ self recvSetOption success 
! !

!FBFacebookServiceClient methodsFor: 'as yet uncategorized' stamp: 'thrift 09/25/2008 20:13'!
shutdown
    ""
    self sendShutdown.
! !

Object subclass: #FBArgument
	instanceVariableNames: 'key name type'
	classVariableNames: ''
	poolDictionaries: ''
	category: 'CassandraClient-ReflectionLimited'!

!FBArgument methodsFor: 'as yet uncategorized' stamp: 'thrift 09/26/2008 10:22'!
key
    ^ key! !

!FBArgument methodsFor: 'as yet uncategorized' stamp: 'thrift 09/26/2008 10:22'!
key: anI16
    key := anI16! !

!FBArgument methodsFor: 'as yet uncategorized' stamp: 'thrift 09/26/2008 10:22'!
name
    ^ name! !

!FBArgument methodsFor: 'as yet uncategorized' stamp: 'thrift 09/26/2008 10:22'!
name: aString
    name := aString! !

!FBArgument methodsFor: 'as yet uncategorized' stamp: 'thrift 09/26/2008 10:22'!
type
    ^ type! !

!FBArgument methodsFor: 'as yet uncategorized' stamp: 'thrift 09/26/2008 10:22'!
type: aThriftType
    type := aThriftType! !

Object subclass: #FBBatchMutationSuperT
	instanceVariableNames: 'table key cfmap'
	classVariableNames: ''
	poolDictionaries: ''
	category: 'CassandraClient-Cassandra'!

!FBBatchMutationSuperT methodsFor: 'as yet uncategorized' stamp: 'thrift 09/26/2008 10:22'!
cfmap
    ^ cfmap! !

!FBBatchMutationSuperT methodsFor: 'as yet uncategorized' stamp: 'thrift 09/26/2008 10:22'!
cfmap: aSuperColumnFamilyMap
    cfmap := aSuperColumnFamilyMap! !

!FBBatchMutationSuperT methodsFor: 'as yet uncategorized' stamp: 'thrift 09/26/2008 10:22'!
key
    ^ key! !

!FBBatchMutationSuperT methodsFor: 'as yet uncategorized' stamp: 'thrift 09/26/2008 10:22'!
key: aString
    key := aString! !

!FBBatchMutationSuperT methodsFor: 'as yet uncategorized' stamp: 'thrift 09/26/2008 10:22'!
table
    ^ table! !

!FBBatchMutationSuperT methodsFor: 'as yet uncategorized' stamp: 'thrift 09/26/2008 10:22'!
table: aString
    table := aString! !

Object subclass: #FBBatchMutationT
	instanceVariableNames: 'table key cfmap'
	classVariableNames: ''
	poolDictionaries: ''
	category: 'CassandraClient-Cassandra'!

!FBBatchMutationT methodsFor: 'as yet uncategorized' stamp: 'thrift 09/26/2008 10:22'!
cfmap
    ^ cfmap! !

!FBBatchMutationT methodsFor: 'as yet uncategorized' stamp: 'thrift 09/26/2008 10:22'!
cfmap: aColumnFamilyMap
    cfmap := aColumnFamilyMap! !

!FBBatchMutationT methodsFor: 'as yet uncategorized' stamp: 'thrift 09/26/2008 10:22'!
key
    ^ key! !

!FBBatchMutationT methodsFor: 'as yet uncategorized' stamp: 'thrift 09/26/2008 10:22'!
key: aString
    key := aString! !

!FBBatchMutationT methodsFor: 'as yet uncategorized' stamp: 'thrift 09/26/2008 10:22'!
table
    ^ table! !

!FBBatchMutationT methodsFor: 'as yet uncategorized' stamp: 'thrift 09/26/2008 10:22'!
table: aString
    table := aString! !

Object subclass: #FBCassandra
	instanceVariableNames: ''
	classVariableNames: ''
	poolDictionaries: ''
	category: 'CassandraClient-Cassandra'!

FBCassandra class
	instanceVariableNames: 'constants enums'!

FBCassandra class
	instanceVariableNames: 'constants enums'!

!FBCassandra class methodsFor: 'as yet uncategorized' stamp: 'thrift 09/26/2008 10:22'!
constants
    ^ constants! !

!FBCassandra class methodsFor: 'as yet uncategorized' stamp: 'thrift 09/26/2008 10:22'!
constants: anObject
    constants := anObject! !

!FBCassandra class methodsFor: 'as yet uncategorized' stamp: 'thrift 09/26/2008 10:22'!
enums
    ^ enums! !

!FBCassandra class methodsFor: 'as yet uncategorized' stamp: 'thrift 09/26/2008 10:22'!
enums: anObject
    enums := anObject! !

Object subclass: #FBColumnT
	instanceVariableNames: 'columnName value timestamp'
	classVariableNames: ''
	poolDictionaries: ''
	category: 'CassandraClient-Cassandra'!

!FBColumnT methodsFor: 'as yet uncategorized' stamp: 'thrift 09/26/2008 10:22'!
columnName
    ^ columnName! !

!FBColumnT methodsFor: 'as yet uncategorized' stamp: 'thrift 09/26/2008 10:22'!
columnName: aString
    columnName := aString! !

!FBColumnT methodsFor: 'as yet uncategorized' stamp: 'thrift 09/26/2008 10:22'!
timestamp
    ^ timestamp! !

!FBColumnT methodsFor: 'as yet uncategorized' stamp: 'thrift 09/26/2008 10:22'!
timestamp: anI32
    timestamp := anI32! !

!FBColumnT methodsFor: 'as yet uncategorized' stamp: 'thrift 09/26/2008 10:22'!
value
    ^ value! !

!FBColumnT methodsFor: 'as yet uncategorized' stamp: 'thrift 09/26/2008 10:22'!
value: aString
    value := aString! !

Object subclass: #FBContainerType
	instanceVariableNames: 'ttype subtype1 subtype2'
	classVariableNames: ''
	poolDictionaries: ''
	category: 'CassandraClient-ReflectionLimited'!

!FBContainerType methodsFor: 'as yet uncategorized' stamp: 'thrift 09/26/2008 10:22'!
subtype1
    ^ subtype1! !

!FBContainerType methodsFor: 'as yet uncategorized' stamp: 'thrift 09/26/2008 10:22'!
subtype1: aSimpleType
    subtype1 := aSimpleType! !

!FBContainerType methodsFor: 'as yet uncategorized' stamp: 'thrift 09/26/2008 10:22'!
subtype2
    ^ subtype2! !

!FBContainerType methodsFor: 'as yet uncategorized' stamp: 'thrift 09/26/2008 10:22'!
subtype2: aSimpleType
    subtype2 := aSimpleType! !

!FBContainerType methodsFor: 'as yet uncategorized' stamp: 'thrift 09/26/2008 10:22'!
ttype
    ^ ttype! !

!FBContainerType methodsFor: 'as yet uncategorized' stamp: 'thrift 09/26/2008 10:22'!
ttype: aTTypeTag
    ttype := aTTypeTag! !

Object subclass: #FBFb303
	instanceVariableNames: ''
	classVariableNames: ''
	poolDictionaries: ''
	category: 'CassandraClient-Fb303'!

FBFb303 class
	instanceVariableNames: 'constants enums'!

FBFb303 class
	instanceVariableNames: 'constants enums'!

!FBFb303 class methodsFor: 'as yet uncategorized' stamp: 'thrift 09/25/2008 20:13'!
constants
    ^ constants! !

!FBFb303 class methodsFor: 'as yet uncategorized' stamp: 'thrift 09/25/2008 20:13'!
constants: anObject
    constants := anObject! !

!FBFb303 class methodsFor: 'as yet uncategorized' stamp: 'thrift 09/25/2008 20:13'!
enums
    ^ enums! !

!FBFb303 class methodsFor: 'as yet uncategorized' stamp: 'thrift 09/25/2008 20:13'!
enums: anObject
    enums := anObject! !

Object subclass: #FBMethod
	instanceVariableNames: 'name returnType arguments'
	classVariableNames: ''
	poolDictionaries: ''
	category: 'CassandraClient-ReflectionLimited'!

!FBMethod methodsFor: 'as yet uncategorized' stamp: 'thrift 09/26/2008 10:22'!
arguments
    ^ arguments! !

!FBMethod methodsFor: 'as yet uncategorized' stamp: 'thrift 09/26/2008 10:22'!
arguments: a
    arguments := a! !

!FBMethod methodsFor: 'as yet uncategorized' stamp: 'thrift 09/26/2008 10:22'!
name
    ^ name! !

!FBMethod methodsFor: 'as yet uncategorized' stamp: 'thrift 09/26/2008 10:22'!
name: aString
    name := aString! !

!FBMethod methodsFor: 'as yet uncategorized' stamp: 'thrift 09/26/2008 10:22'!
returnType
    ^ returnType! !

!FBMethod methodsFor: 'as yet uncategorized' stamp: 'thrift 09/26/2008 10:22'!
returnType: aThriftType
    returnType := aThriftType! !

Object subclass: #FBReflectionLimited
	instanceVariableNames: ''
	classVariableNames: ''
	poolDictionaries: ''
	category: 'CassandraClient-ReflectionLimited'!

FBReflectionLimited class
	instanceVariableNames: 'constants enums'!

FBReflectionLimited class
	instanceVariableNames: 'constants enums'!

!FBReflectionLimited class methodsFor: 'as yet uncategorized' stamp: 'thrift 09/26/2008 10:22'!
constants
    ^ constants! !

!FBReflectionLimited class methodsFor: 'as yet uncategorized' stamp: 'thrift 09/26/2008 10:22'!
constants: anObject
    constants := anObject! !

!FBReflectionLimited class methodsFor: 'as yet uncategorized' stamp: 'thrift 09/26/2008 10:22'!
enums
    ^ enums! !

!FBReflectionLimited class methodsFor: 'as yet uncategorized' stamp: 'thrift 09/26/2008 10:22'!
enums: anObject
    enums := anObject! !

Object subclass: #FBService
	instanceVariableNames: 'name methods fullyReflected'
	classVariableNames: ''
	poolDictionaries: ''
	category: 'CassandraClient-ReflectionLimited'!

!FBService methodsFor: 'as yet uncategorized' stamp: 'thrift 09/26/2008 10:22'!
fullyReflected
    ^ fullyReflected! !

!FBService methodsFor: 'as yet uncategorized' stamp: 'thrift 09/26/2008 10:22'!
fullyReflected: aBool
    fullyReflected := aBool! !

!FBService methodsFor: 'as yet uncategorized' stamp: 'thrift 09/26/2008 10:22'!
methods
    ^ methods! !

!FBService methodsFor: 'as yet uncategorized' stamp: 'thrift 09/26/2008 10:22'!
methods: a
    methods := a! !

!FBService methodsFor: 'as yet uncategorized' stamp: 'thrift 09/26/2008 10:22'!
name
    ^ name! !

!FBService methodsFor: 'as yet uncategorized' stamp: 'thrift 09/26/2008 10:22'!
name: aString
    name := aString! !

Object subclass: #FBSimpleType
	instanceVariableNames: 'ttype name'
	classVariableNames: ''
	poolDictionaries: ''
	category: 'CassandraClient-ReflectionLimited'!

!FBSimpleType methodsFor: 'as yet uncategorized' stamp: 'thrift 09/26/2008 10:22'!
name
    ^ name! !

!FBSimpleType methodsFor: 'as yet uncategorized' stamp: 'thrift 09/26/2008 10:22'!
name: aString
    name := aString! !

!FBSimpleType methodsFor: 'as yet uncategorized' stamp: 'thrift 09/26/2008 10:22'!
ttype
    ^ ttype! !

!FBSimpleType methodsFor: 'as yet uncategorized' stamp: 'thrift 09/26/2008 10:22'!
ttype: aTTypeTag
    ttype := aTTypeTag! !

Object subclass: #FBSuperColumnT
	instanceVariableNames: 'name columns'
	classVariableNames: ''
	poolDictionaries: ''
	category: 'CassandraClient-Cassandra'!

!FBSuperColumnT methodsFor: 'as yet uncategorized' stamp: 'thrift 09/26/2008 10:22'!
columns
    ^ columns! !

!FBSuperColumnT methodsFor: 'as yet uncategorized' stamp: 'thrift 09/26/2008 10:22'!
columns: a
    columns := a! !

!FBSuperColumnT methodsFor: 'as yet uncategorized' stamp: 'thrift 09/26/2008 10:22'!
name
    ^ name! !

!FBSuperColumnT methodsFor: 'as yet uncategorized' stamp: 'thrift 09/26/2008 10:22'!
name: aString
    name := aString! !

Object subclass: #FBThriftType
	instanceVariableNames: 'isContainer simpleType containerType'
	classVariableNames: ''
	poolDictionaries: ''
	category: 'CassandraClient-ReflectionLimited'!

!FBThriftType methodsFor: 'as yet uncategorized' stamp: 'thrift 09/26/2008 10:22'!
containerType
    ^ containerType! !

!FBThriftType methodsFor: 'as yet uncategorized' stamp: 'thrift 09/26/2008 10:22'!
containerType: aContainerType
    containerType := aContainerType! !

!FBThriftType methodsFor: 'as yet uncategorized' stamp: 'thrift 09/26/2008 10:22'!
isContainer
    ^ isContainer! !

!FBThriftType methodsFor: 'as yet uncategorized' stamp: 'thrift 09/26/2008 10:22'!
isContainer: aBool
    isContainer := aBool! !

!FBThriftType methodsFor: 'as yet uncategorized' stamp: 'thrift 09/26/2008 10:22'!
simpleType
    ^ simpleType! !

!FBThriftType methodsFor: 'as yet uncategorized' stamp: 'thrift 09/26/2008 10:22'!
simpleType: aSimpleType
    simpleType := aSimpleType! !
